Summary:          An implementation of the traditional Unix macro processor
Name:             m4
Version:          1.4.19
Release:          6%{?dist}
License:          GPLv3+
URL:              https://www.gnu.org/software/m4/
Source0:          https://ftp.gnu.org/gnu/m4/m4-%{version}.tar.xz

BuildRequires:    make gcc autoconf automake
BuildRequires:    gettext

Provides:         bundled(gnulib)

%description
GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4
compatible although it has some extensions (for example, handling more than 9 positional
parameters to macros). GNU M4 also has built-in functions for including files, running
shell commands, doing arithmetic, etc.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}

%check
%make_build check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/m4
%{_infodir}/*
%{_mandir}/man1/m4.1*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.19-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.19-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.19-2
- Rebuilt for OpenCloudOS Stream 23

* Sun Jul 24 2022 Minjie HUANG <jackmjhuang@tencent.com> - 1.4.19-1
- Initial build.
